Solve the single orbit tight-binding chain,
$$H = \sum\limits_{i=1}^{N} e_0 c_i^\dagger c_i + t c_i^\dagger c_{i+1}$$
with on-site energy $e_0=0.2$, hopping $t = 1$ and chain length $N=100$ (periodic boundary condition, so site $N+1$ and $1$ are equivalent).

## Requirements
1. find out all single particle exitations $\gamma_k$ in this system and plot the band in momentum space, namely $e_k$.
2. show density of states(DOS).
3. get the ground state energy $E_k$.
4. calculate correlation functions $\mathcal{C}(i,x)=n_in_{i+x}$ at temperature $T=0.1$, prove they are independant of index $i$. Here, $n_i=c_i^\dagger c_i$ is the number of particle at site $i$.

## Results to submit
A markdown report in format `<your name><year>.<lesson id>.md`, e.g. Wanglei submit a report about lesson 1 in 2017, it will be `WangLei2017.1.md`.
This requirement is also valid for other lessons, so will not be restated hence force.

In this report, the following contents should be included (in your markdown file)
1. * figure of energy band in '.png' format under './images' folder (always required for figures hence force), with $x$-axis the momentum and $y$ axis the energy.
   * figure of single particle wavefunction sketch for the one with lowest energy, with $x$-axis the site index and $y$ axis its amplitude and phase.
2. figure of DOS, with $x$-axis the energy and $y$-axis the density, describe your broadening factor and explain your consideration.
3. ground state energy, $6$-number precision.
4. pcolor graph for $\mathcal{C}(i,x)$ function.

## Technical Hints:
* Use python and it's numerical libraries - numpy, matplotlib.
* In order to get DOS, use Lorenzian broadening method.
* Ground state energy is obtained by applying $\gamma_k^\dagger$ on vacum state for all $e_k<0$
* For single particle fermionic systems, temperature is concerned using Dirac disctribution.
